[COLOR gold][B]*** This will probably be the last[/COLOR] [COLOR red]The Red Wizard[/COLOR] [COLOR gold]update to FenLightAM -[/COLOR] [COLOR red]UNOFFICIAL[/COLOR] [COLOR gold]***[/B][/COLOR]

FenLightAM - UNOFFICIAL is now fully working and all functionality has been restored. We will not revoke our Trakt or TMDb keys because someone says something we do not like on Reddit. FenLightAM - UNOFFICIAL has been tested with Kodi 22 Omega and should work perfectly for a very long time.

While I am grateful to Tikipeter and his various pseudonyms and aliases for creating and maintaining Fen and FenLight/FenLightAM, his actions are negatively impacting Kodi end-users. He will do it again. I am proud to have bypassed Tikipeter's block of TMDb Helper.

When the time comes (and as of 13th May 2026), I suggest moving to one of:

* Red Light from The Red Repo - fully maintained fork of FenLight
* The Gears from the Chains Repository - fully maintained fork of FenLightAM
* POV from the Kodifitzwell repository - fully maintained fork of Fen
* Umbrella from the Umbrella Repository - fully maintained fork of Venom

Many thanks to the developers who assisted with the TMDb Helper patch and restoring the icons. They would prefer to remain AnonyMouse ;) but they know who they are.

[COLOR red][B]Version 20.2.034 - UNOFFICIAL[/B][/COLOR]
- Minor changes

[COLOR red][B]Version 20.2.033 - UNOFFICIAL[/B][/COLOR]
- Icons (genres, menus, networks, years, etc) restored and now held locally.
- Original FenLight fanart restored for posterity.

[COLOR red][B]Version 20.2.032 - UNOFFICIAL[/B][/COLOR]
- Fix for TMDb Lists Authorisation. Thank you @Blackysbd (Blacky).

[COLOR red][B]Version 20.2.031 - UNOFFICIAL[/B][/COLOR]
- New keys for TMDb and Trakt after "Tikipeter" revoked those used by official FenLightAM. You will need to reauthorise Trakt and TMDb, reset the Trakt and TMDb keys to defaults (or use your own) and you may need to clear the metacache.
- Icons restored (a work in progress).
- Updater disabled and TMDb Helper patched.

[COLOR dodgerblue][B]Version 2.2.01/02/20.2.03[/B][/COLOR]
- New keys for TMDb and Trakt are now being used within the addon. Unfortunately, this does mean that your Trakt and TMDb account will need to be re-authenticated if you are currently using them. Apologies, but there is no alternative to this.
- You may need to clear your metacache as well.
[COLOR red]- UNOFFICIAL. Updater disabled, TMDb Helper patched and version bump.[/COLOR]

[COLOR dodgerblue][B]Version 2.1.99[/B][/COLOR]
- Stopped defaulting to sort by title when no sort order specified for TMDb Lists. Items will be presented as given by TMDb when no sort order has been set within Fen Light.
- Couple of quick fixes.

[COLOR dodgerblue][B]Version 2.1.98[/B][/COLOR]
- Quick fix for "Add to Cloud" not appearing in context menu of results.

[COLOR dodgerblue][B]Version 2.1.97[/B][/COLOR]
- Removed Easydebrid support (dead service).
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.96[/B][/COLOR]
- Settings->Results->Rescrape priority settings will need to be re-set.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.95[/B][/COLOR]
- Added Settings->Features->Extras->Choose Order for Extras Lists. Here you can set the order that the lists appear in the Extras window. Choose between currenty active lists.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.94[/B][/COLOR]
- Added add/remove items for TMDb Watchlist & TMDb Favorites list (as above). Access this through the TMDb Manager found in the context menu.
- Added sorting options for TMDb Watchlist and TMDb Favorites. Sorting is limited currenlty.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.93[/B][/COLOR]
- A few quick fixes.

[COLOR dodgerblue][B]Version 2.1.92[/B][/COLOR]
- Added Related, Similar, Reviews, Comments, Trivia, Blunders, More from Year, More from Genres, More from Networks to actions you can assign to the Extras buttons.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.91[/B][/COLOR]
- Added Random menus for new TMDb Lists (Watchlist, Favorites & Recommended).

[COLOR dodgerblue][B]Version 2.1.90[/B][/COLOR]
- All IMDb related Extras fixed. [COLOR darkgoldenrod]Big thanks to [B]hcgiub001 (pwreit)[/B] for the code needed[/COLOR]. Clear IMDb data in Tools->Database & Cache Maintenance if Reviews/More Like This/Trivia etc is still not showing.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.89[/B][/COLOR]
- Added TMDb 'Watchlists', 'Favorites' & 'Recommended' to My Lists->TMDb Lists. Sorting/random/other features to come. Just need to test they are working OK for everyone.
- Due to changes in the highlight & opacity code, you will need to re-set these if you aren't using the default values.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.89[/B][/COLOR]
- Moved "RPDb Ratings Posters" settings to "Features" tab.
- Added Settings->Features->Extras->"Enable Poster Ratings (RPDb) for Extras Lists". Enable this and Fen Light will use rating posters for all the lists within the Extras window. This is seperate from the ratings displayed at the top of the window, which are supplied by OMDb.
- Added this year's Oscar winner to Oscar Winners.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.88[/B][/COLOR]
- Fixed TMDb lists issue.
- Made cosmetic adjustments to Extras window.
- Couple of other quick fixes.

[COLOR dodgerblue][B]Version 2.1.87[/B][/COLOR]
- Fixes for Trakt API changes. You may need to Clear Trakt Cache (Tools->Database & Cache Maintenance).I will not be relying on Trakt to perform the pagination, so your lists will display a maximum of 999 items. If you have a list/s with more than 999 items, reach out to me and I can get you some needed help.
- Added Settings->General->Window Theme->"Assign Window Theme". Here you can choose between Light, Medium and Dark for the grey of custom Fen Light dialogs and windows.
- Added Settings->General->Window Theme->"Assign Window Theme Opacity". Here you can choose the Opacity of the window theme. Extras, Person & Scrape Result Windows are affected). Choose between 50% - 100% in 5% increments.
- Added Settings->Features->Extras->->Enable Extra Ratings->"Enabled Ratings" submenu. Here you can enable/disable the ratings displayed on the Extras window. If you only select one rating to display, it will show within the top lines below the clearlogo/title.
- Added ability to prioritize (for order of use) the 5 rescrape settings in Results->Rescrape (formerly titled "General"). Also, the rescrape settings here wil need to be re-set. Apologies.

[COLOR dodgerblue][B]Version 2.1.86[/B][/COLOR]
- Added setting to filter uncached results by number of seeders.
- Added "Confirm Before Autoscrape?" to autoscrape settings.
- Small cosmetic changes to Extras and People custom wnidows.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.85[/B][/COLOR]
- Added "Set Max retries for Playback" subsetting to Playback->Playback Utilities->Easynews Playback method. Set this for when "Retry" or "Both" is selected.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.85[/B][/COLOR]
- Added "Browse Similar" to Movie/TV Show context menus. Also added to Extras window. As a result, the preferences for each of these is re-set for this update. Apologies. Also added as a feeder option for "Because You Watched..."
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.84[/B][/COLOR]
- Added "Check Still Watching After?" to Settings->Playback->Autoplay Next Episode. Set here how many consecutively auto played episodes before Fen Light checks that you are still watching. Defaults to 3 episodes. Choose 0 episodes to disable.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.83[/B][/COLOR]
- Changed Setting->Content->General->"Avoid Episode Spoilers in Custom Windows" to "Avoid Episode Spoilers". This will apply throughout the addon now.
- Removed "Exit" from the Jump To.. options. Also focus will now go to the current page in the list.

[COLOR dodgerblue][B]Version 2.1.82[/B][/COLOR]
- Some quick fixes.

[COLOR dodgerblue][B]Version 2.1.81[/B][/COLOR]
- Quick fix for sorting in Trakt lists.

[COLOR dodgerblue][B]Version 2.1.79/80[/B][/COLOR]
- Fixed Random Trakt User lists contents.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.78[/B][/COLOR]
- Added "Enable Jump To Navigation" to Settings->Content->General. This adds a "Jump To..." list item to paginated personal lists that allows you to quickly navigate to a specific page within the list. Old Fen feature re-added.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.77[/B][/COLOR]
- Couple of quick fixes.

[COLOR dodgerblue][B]Version 2.1.74/75/76[/B][/COLOR]
- Added "Set Custom Sort" to context menu of Trakt "My Lists" and Trakt "Liked Lists". Here you can set a custom sort order to be used for the list, independent of what you have set on the Trakt webpage. If no custom value is set for a list, then the sort values from Trakt will be used.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.72/73[/B][/COLOR]
- Quick fix for superfluous external player errors.

[COLOR dodgerblue][B]Version 2.1.71[/B][/COLOR]
- Removed Offcloud support.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.70[/B][/COLOR]
- Re-added TV Show Network icons. Previously hosted on imgur, but some countries were blocked so they were recently removed.
- Some changes to AI Similar code.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.69[/B][/COLOR]
- Another All Debrid fix.
- Re-added Genres icons. Previously hosted on imgur, but some countries were blocked so they were recently removed.
- Added 'AI Similar' as a choice for Because You Watched content.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.68[/B][/COLOR]
- A couple of quick fixes.

[COLOR dodgerblue][B]Version 2.1.67[/B][/COLOR]
- Fixed random list dynamic titles.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.66[/B][/COLOR]
- Fixed All Debrid again.
- Switched to using list_id where possible for trakt lists, rather than user/slug. [COLOR darkgoldenrod]Thanks to user monpaf for the heads up and example code.[/COLOR]
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.64/65[/B][/COLOR]
- Added block for unsupported external players.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.63[/B][/COLOR]
- Quick fix for Discover.

[COLOR dodgerblue][B]Version 2.1.62[/B][/COLOR]
- Added Google AI and Groq AI to Meta Accounts settings. Use your API keys here, and you can currently use this AI for Similar titles recommended by the AI. Found in context menu for Movies and TV Shows, and also in the Extras window. Access settings for the similars in Features->AI Generated Similar Titles.
[COLOR darkgoldenrod]Big thanks to user hcgiub001 for all the help and code examples, and Tikipeter for the re-write and implementation.[/COLOR]
- Added Settings->Content->General->"Generic Lists Cache Duration". Set here how long you want generic lists ike Popular or Trending to be cached before fresh data is fetched. Default is 24 hours.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.61[/B][/COLOR]
- Added "Browse Seasons", "Browse Episodes" & "Unmark Previous Watched" to context menu of single episode lists. As a result, anyone with a custom context menu will need to remake it.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.60[/B][/COLOR]
- Added "History" and "Saved Links" to both Alldebrid Cloud search and also My Services->Alldebrid. [COLOR darkgoldenrod]Thanks to user monpaf[/COLOR].
- Added Settings->Content->General->Use Season Names When Available.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.59[/B][/COLOR]
- Band-aid fix for Trending/Trending Recent showing only anime results. Will stay until Trakt fix ther filtering for this endpoint. Clear Lists Cache in Tools->Database & Cache Maintenance for this to take effect immediately.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.58[/B][/COLOR]
- Defeat.

[COLOR dodgerblue][B]Version 2.1.57[/B][/COLOR]
- Revised implementation of external player detection. Thanks TP.

[COLOR dodgerblue][B]Version 2.1.52/53/54/55/56[/B][/COLOR]
- Fixed Trakt lists.
- Added detection for external playback.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.49/50/51[/B][/COLOR]
- Tweaked some generic list params.
- Removed some icons from addon.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.48[/B][/COLOR]
- Fix All Debrid again. Properly.

[COLOR dodgerblue][B]Version 2.1.47[/B][/COLOR]
- Fixed All Debrid resolving, matching new API output.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.46[/B][/COLOR]
- Added alternate url for RD users who are suffering from the main url being blocked. Go to Accounts->Real Debrid->"Use Alternate URL". Thanks to [COLOR darkgoldenrod]Umbrella Dev[/COLOR] for the alternate url.
- Fixed Trakt user lists search.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.45[/B][/COLOR]
- Added "TV Show & Anime" to Search menu. Here you can search and include all series, both regular and anime. Uses `tmdb_tv_search` action, so skin intergration should be fixed for skins that support custom search queries.
- Added "Include anime in tv show watched progress" to Content->General. Enable this and your anime watched progress will also appear in the regular tv show progress menus.
- Added External Scrapers filter to settings. On by default.
- Re-fixed art from TMDb.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.42/43/44[/B][/COLOR]
- Fixed art from TMDb.
- Added "Auto Enable Subtitles" to Settings->Playback-?Playback Utilities. If subtitles are included in the file, Fen Light will enable them.
- Quick fix for search.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.41[/B][/COLOR]
- Added "Anime" as a Search menu. Only anime results will appear. Similarly, the regular "TV Show" search menu will now exclude anime results.
- Added "Anime" as a Favorites menu. Only anime results will appear. Similarly, the regular "TV Show" favorites menu will now exclude anime results.
- Added Vietnamese to language options.
- Added "Use Weighted Value for Size Sorting" to Settings->Results->Sorting and Filtering. Enable this and Fen Light will weight HEVC file sizes as being equal to 2x a non-HEVC file size for purposes of sorting (not filtering).
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.40[/B][/COLOR]
- Added Anime Watched, Anime Recently Watched, Anime In Progress, Anime Recently Watched Episodes, Anime In Progress Episodes & Anime Next Episodes' to the Anime section. From now, Anime will be more sectioned off into the 'Anime' section of the addon. This means watched status lists for anime will only appear in this new menu, not the 'TV Shows' instance of watched status lists. To access these new menu items, navigate to the Anime section and, from the context menu, select 'Restore Menu', which will restore the menu to default and add the new menu items.
- Added "Limit Results Per Quality" to Settings->Results->Sorting & Filtering. Set a value on this, and Fen Light will limit the results shown for each quality (4K, 1080p etc) to that value.
- Added "Limit Results Total" to Settings->Results->Sorting & Filtering. Set a value on this, and Fen Light will limit the total results shown.
- Added "Language" to Discover menu for Movies and TV Shows. Set the original language for the content you want.
- Added Custom Poster and Custom Fanart for Trakt My User Lists and Trakt Liked User Lists. Options found in the context menu.
- Fix for "finish watching at..." time reporting to show accurate data when there is a resume point on the media. For skins that show this info.

[COLOR dodgerblue][B]Version 2.1.39[/B][/COLOR]
- Icon choice will persist through custom windows.
- Fixewd In Progress Episodes not displaying when sort set to title.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.38[/B][/COLOR]
- Quick fixes for Autoplay Cloud Sources.

[COLOR dodgerblue][B]Version 2.1.37[/B][/COLOR]
- Included episodes when considering hide watched items for widgets.
- Added "Autoplay Cloud Result" to each account's settings. Enable this and any cloud result found after a prescrape will be automatically played.
- Added "Avoid Episode Spoilers in Custom Windows" to Settings->Content->General. This will hide plot and thumb spoilers from FenLightAM's custom windows.
- Added "Retry With IMDb Year Data When No Results" to Settings->Results->General.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.36[/B][/COLOR]
[COLOR darkgoldenrod]Thanks for the nice Easynews playback workaround find [B]Kodifitzwell[/B].[/COLOR]
- Added Settings->Playback->Playback Utilities->"Easynews Playback Method". Use this to set a playback method to resolve Easynews links...
NONE: No special method used.
RETRY: Retries the EN link if it fails the first time (slow and doesn't work on some hardware).
NO SEEK: Tells Kodi the file is not seekable, which makes EN happy. The file will usually play first try and quickly, but you will not be able to seek forward/backward outside of the current cached data.
BOTH: Will use NO SEEK, and will also allow for RETRY. Probably not needed for most setups. But this covers all.

[COLOR dodgerblue][B]Version 2.1.35[/B][/COLOR]
- Quick fixes.

[COLOR dodgerblue][B]Version 2.1.34[/B][/COLOR]
- Quick fixes.

[COLOR dodgerblue][B]Version 2.1.33[/B][/COLOR]
- Fix for personal lists not showing after recent re-write.

[COLOR dodgerblue][B]Version 2.1.32[/B][/COLOR]
- Added support for importing lists from external sources to Personal Lists.
- Added Settings->Playback->Movies->Show Credits Stinger Alert. Enable this and Fen Light will alert you, towards the end of playback, as to whether there are During and/or After Credit Stingers to watch.
- Added Settings->Contents->General->Ignore Articles when Sorting Lists.
- Added ability to delete RD Cloud files directly from results (in context menu).
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.31[/B][/COLOR]
- Added "Retry With Cache Check Ignored When No Results" to Settings->Results->General. If set to "Auto", then if there are no cached RD/AD results it will automatically show all results as Unchecked.

[COLOR dodgerblue][B]Version 2.1.30[/B][/COLOR]
- There are now 2 easily accessible methods to toggle the state of check cache status (RD & AD) and rescrape. Either through the Playback Options context menu item or through the results sideblade.
- Fixed "random" not working as a sort for self made Discover lists.
- Other quick fixes.

[COLOR dodgerblue][B]Version 2.1.29[/B][/COLOR]
- Added "Check for cached status of Results (RD & AD)" to Settings->Accounts->External Scrapers. Enabled by default. Enable this and Fen Light will attempt to determine the cached status of external results for Real Debrid and all Debrid. This is by no means fully accurate, and you will likely often receive less overall results than with this disabled. But if using it, all results shown are likely cached on their servers and can be played immediately (removes the "Unchecked" parameter for RD and AD results).
- Added "Toggle External Cache Check" to Playback Options so you can more easily enable or disable the new cache check.
- Added "Assign Addon Icon Image" to Settings->General->General. Use this to choose from the available addon icons shipped with Fen Light AM.
[COLOR darkgoldenrod]Big thanks to user [B]"mgudarzi"[/B] for providing some great icons.[/COLOR] Hop on to my github if you want to have icons included. Please make them 512x512, and small in filesize (50kb or less).
- Added sort ability to TMDb List content (content within your personal lists from TMDb). Access through Context Menu->Edit Properties->Change Sort Order when in the TMDb Lists menu.
- Added sort ability to TMDb Lists (your personal lists from TMDb). Access in Settings->Accounts->TMDb Lists->Lists Display Sort Order.
- Changed "Custom Autoplay Sort To Top" to "Custom Sort To Top". This setting will now apply to non-autoplay results as well if chosen. These will need to be re-set.
- Simplified random widgets caching.
- Reworked custom context menu editing. You can now re-add a removed item without having to restore the context menu to default.

[COLOR dodgerblue][B]Version 2.1.27/28[/B][/COLOR]
[BUG] Various fixes.

[COLOR dodgerblue][B]Version 2.1.26[/B][/COLOR]
[BUG] Various fixes.

[COLOR dodgerblue][B]Version 2.1.25[/B][/COLOR]
- [BUG] Quick fix for media tagged with 5.1 audio being recognized as a file for S05E01.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.24[/B][/COLOR]
[BUG] Various fixes.

[COLOR dodgerblue][B]Version 2.1.23[/B][/COLOR]
- [REQUEST] Added custom artwork to TMDb User Lists.
- [REQUEST] Added ability to use 4 random posters/fanart from items in list when making custom artwork for the list.
- Other changes/fixes.

[COLOR dodgerblue][B]Version 2.1.22[/B][/COLOR]
- [REQUEST] Added custom poster/fanart for Personal Lists. This means for the list itself. Found within the "Edit Properties" context menu item.
- [CODE] A fair few fixes for small bugs throughout addon.
- [CODE] More code refactoring.

[COLOR dodgerblue][B]Version 2.1.20/21[/B][/COLOR]
- [BUG] Quick fix for addon constantly re-caching empty dropped item results from Trakt.
- [REQUEST] Added Trakt Auth code to display when Authorizing Trakt.
- [CODE] Added support for TMDb and Personal Lists to Random Shortcut Folder.
- Other fixes.

............
............
............

[COLOR dodgerblue][B]Version 1.0.0[/B][/COLOR]
- Initial Release
- This is an English language only addon.






++
